"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  _easycom_hs_button2();
}
const _easycom_hs_button = () => "../hs-button/hs-button.js";
if (!Math) {
  _easycom_hs_button();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-footer",
  props: [
    "btnParimaryName",
    "btnOtherName",
    "btnOtherShow",
    "back",
    "parimaryDisabled"
  ],
  emits: ["handleParmaryClick", "handleOtherClick"],
  setup(__props, { emit }) {
    const props = __props;
    const handleParmaryClick = () => {
      emit("handleParmaryClick");
    };
    const handleOtherClick = () => {
      emit("handleOtherClick");
      if (props == null ? void 0 : props.back) {
        common_vendor.index.navigateBack({ delta: 1 });
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: !_ctx.$slots.default
      }, !_ctx.$slots.default ? common_vendor.e({
        b: props == null ? void 0 : props.btnOtherShow
      }, (props == null ? void 0 : props.btnOtherShow) ? {
        c: common_vendor.p({
          label: (props == null ? void 0 : props.btnOtherName) || "返回",
          type: "ghost",
          size: "md"
        }),
        d: common_vendor.o(handleOtherClick)
      } : {}, {
        e: common_vendor.p({
          label: (props == null ? void 0 : props.btnParimaryName) || "提交",
          type: "primary",
          disabled: props == null ? void 0 : props.parimaryDisabled,
          size: "md"
        }),
        f: common_vendor.o(handleParmaryClick)
      }) : {});
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-343c1add"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-footer/hs-footer.vue"]]);
wx.createComponent(Component);
